<div style="margin-top: 20px;">
    <div class="container">
        <div class="row maximum-width-p-list">
            <p-dataList [value]="orderItem">
                <p-header>
                    <div>
                        <form name="searchForm" class="form-inline">
                            <div class="input-group w-100 mt-3">
                                <input type="text" class="form-control" id="currentSearch" name="currentSearch" placeholder="">
                                <button class="input-group-addon btn btn-info flat-style-button">
                                        <span class="fa fa-search"></span>
                                    </button>
                                <button class="input-group-addon btn btn-danger flat-style-button">
                                        <span class="fa fa-trash-o"></span>
                                    </button>
                            </div>
                        </form>
                    </div>
                </p-header>
                <ng-template let-rowData pTemplate="item">
                    <!-- [routerLink]="['../delivery-order-check']" -->
                    <!-- [routerLink]="['/delivery-order/'+ idSlip + '/delivery-order-check']"  -->
                    <a style="color:black;" (click)="gotoDetail(rowData)">
                        <div *ngIf="vehicleSalesOrder?.salesUnitRequirement">
                            <div class="ui-g ui-fluid border-item">
                                <div class="ui-g-6 ui-md-6">
                                    <div class="ui-g-12 ui-sm-12" >
                                        <!-- <div>Nomor Mesin</div> -->
                                        <div *ngIf="!checkIdMachine()">
                                            <h5>{{vehicleSalesOrder.salesUnitRequirement.idmachine}}</h5>  
                                            <!-- <h5>{{rowData.idFrame}}</h5> -->
                                        </div>
                                        <div *ngIf="checkIdMachine()">
                                            <h5>{{vehicleSalesOrder.salesUnitRequirement.requestIdMachine}}</h5>  
                                            <!-- <h5>{{rowData.idFrame}}</h5> -->
                                        </div>
                                        <!-- <div>Kode Type</div> -->
                                        <h5>{{vehicleSalesOrder.salesUnitRequirement.productId}}</h5>
                                        <!-- {{rowData.productId}} -->
                                        <!-- <div>Warna</div> -->
                                        <!-- colorDescription -->
                                        <div>{{vehicleSalesOrder.salesUnitRequirement.colorDescription}}</div>
                                    </div>
                                </div>
                                <div class="ui-g-6 ui-md-6">
                                    <div class="ui-g-12 ui-sm-12" style="text-align:right">
                                        <div *ngIf = "shipmentOutgoing?.dateSchedulle">
                                            <div>{{shipmentOutgoing.dateSchedulle| date:'dd-MM-yyyy'}}</div>
                                        </div>
                                        <!-- <div>Status Acc</div> -->
                                    </div>
                                </div>
                            </div>
                        </div>
                    </a>
                </ng-template>
            </p-dataList>
            <button type="submit" (click)="selesaiGudang()" [routerLink]="['/delivery-order']" class="btn btn-primary btn-lg btn-block updateDo">
                {{'mpmApp.deliveryOrder.labelUpdate'|translate}} <i class="fa fa-floppy-o" aria-hidden="true"></i>
            </button>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>